View Full Version : How to create a Helix in 2006?
Quantum 2012
2006-09-15, 01:53 PM
Is there a simple way to draw a helix in acad 2006? is there a tool for helixes? I would like to draw actual threads on a bolt. can a person create a helix, then create a profile of the thread w/ pitch and valley, slopes and then change it to a polygon, 3d rotate it move it to the end of the helix, then extrude it along the path of the helix thus creating the actual threads of the desired bolt? Is this all possible with auto cad 2006 and if so, is there a tool to create threads or helix easier and faster?
andy.manninen
2006-09-15, 02:06 PM
I found this code.....its not mine so i can't vouch for the integrity...
; draw a helix
; mfuccaro@hotmail.com (mfuccaro@hotmail.com)
; ----- November.2002 -----
;
(defun c:helix()
(setq spin -1); -1=CW, 1=CCW
(setq ri (getreal "Base radius: ") rf (getreal "Top radius: "))
(initget (+ 1 4))
(setq h (getreal "Height: "))
(initget (+ 1 2 4))
(setq tu (getreal "Number of turns: "))
(setq segs (getint "Number of segments per turn <20>: ")); more=smoother
(if (= segs nil)(setq segs 20))
(setq old (getvar "osmode"))
(setvar "cmdecho" 0)
(setq fi1 (/ (* 2 PI) segs) i 0)
(setq points (fix (* tu segs))
h1 (/ h points) r1 (/ (- rf ri) points)
s (getpoint "Center of base: ")
end (list (car s) (cadr s) (+ h (caddr s))))
(setvar "osmode" 0 )
(command "line" s end "")
(command "chprop" "l" "" "c" 1 "")
(command "3dpoly")
(setq i 0)
(repeat (1+ points)
(setq fi (* i fi1) h (* i h1) r (+ ri (* i r1)))
(setq x (* r (cos fi)) y (* spin r (sin fi)))
(command (list (+ (car s) x) (+ (cadr s) y) (+ (caddr s) h)))
(setq i (1+ i)))
(command "")
(setvar "osmode" old))
(princ "nRoutine loaded. Type HELIX at the command prompt.")
(princ)
:Cheers:
.chad
2006-09-15, 02:32 PM
Is there a simple way to draw a helix in acad 2006? is there a tool for helixes? I would like to draw actual threads on a bolt. can a person create a helix, then create a profile of the thread w/ pitch and valley, slopes and then change it to a polygon, 3d rotate it move it to the end of the helix, then extrude it along the path of the helix thus creating the actual threads of the desired bolt? Is this all possible with auto cad 2006 and if so, is there a tool to create threads or helix easier and faster?if you have access to it, i believe 3ds max has some screw objects built into it.
andy.manninen
2006-09-15, 02:41 PM
AutoCAD 2007 has a helix tool...... i know that doesn't help out but it would be a good excuse to get the latest software!
:Cheers:
jaberwok
2006-09-15, 03:11 PM
Creating the helix is not a big problem but making a screw thread is.
A representation of a thread can be made in R13 - A2006 but it's almost certainly not worth the bother and the vast files it creates.
The links in this thread (http://forums.augi.com/showthread.php?t=6408) may help you get started. Also search on "screw thread".
Wanderer
2006-09-15, 10:45 PM
Is there a simple way to draw a helix in acad 2006? is there a tool for helixes? I would like to draw actual threads on a bolt. can a person create a helix, then create a profile of the thread w/ pitch and valley, slopes and then change it to a polygon, 3d rotate it move it to the end of the helix, then extrude it along the path of the helix thus creating the actual threads of the desired bolt? Is this all possible with auto cad 2006 and if so, is there a tool to create threads or helix easier and faster?I'm going to move this post from the Tips and Tricks forum (which is for posting Tips and Tricks, not technical questions, thank you), as I believe it will be better served here. Thank you. :)
Powered by vBulletin® Version 4.2.5 Copyright © 2024 vBulletin Solutions Inc. All rights reserved.